| Home | Libraries | People | FAQ | More

##### pop_back

###### Description

Returns the result type of `pop_back`, given the input sequence type.

###### Synopsis

    template<
        typename Sequence
        >
    struct pop_back
    {
        typedef unspecified type;
    };

Table 1.97. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Forward Sequence | Operation's argument

###### Expression Semantics

    result_of::pop_back<Sequence>::type

Return type:

- A model of Forward Sequence.
- A model of Associative Sequence if `Sequence` implements the Associative Sequence model.

Semantics: Returns a sequence with all the elements of `Sequence` except the last element.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/pop_back.hpp>
    #include <boost/fusion/include/pop_back.hpp>